package com.sifang.modules.supply.warehouse.vo;

import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

public class AddAllocationDetailVo {

    @NotBlank(message = "物料id不能为空")
    private String materialId;

    @NotNull(message = "数量不能为空")
    private BigDecimal amount;

    private String code;

    private String type;

    private String materialGroup;

    private String unit;

    private String description;

    private BigDecimal warehouseStock;


    public String getMaterialId() {
        return materialId;
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }


    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getMaterialGroup() {
        return materialGroup;
    }

    public void setMaterialGroup(String materialGroup) {
        this.materialGroup = materialGroup;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public BigDecimal getWarehouseStock() {
        return warehouseStock;
    }

    public void setWarehouseStock(BigDecimal warehouseStock) {
        this.warehouseStock = warehouseStock;
    }

    @Override
    public String toString() {
        return "AddAllocationDetailVo{" +
                "materialId='" + materialId + '\'' +
                ", amount=" + amount +
                ", code='" + code + '\'' +
                ", type='" + type + '\'' +
                ", materialGroup='" + materialGroup + '\'' +
                ", unit='" + unit + '\'' +
                ", description='" + description + '\'' +
                ", warehouseStock=" + warehouseStock +
                '}';
    }
}
